import { forwardRef, Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { EquipoProgramaController } from './equipo-programa.controller';
import { EquipoProgramaService } from './equipo-programa.service';
import { EquipoPrograma } from '../equipo-programa/entity/equipo-programa.entity';
import { InstitucionProgramaModule } from '../institucion-programa/institucion-programa.module';
import { EquipoModule } from '../equipo/equipo.module';

@Module({
  imports: [
    forwardRef(() => EquipoModule),
    InstitucionProgramaModule,
    TypeOrmModule.forFeature([EquipoPrograma]),
  ],
  controllers: [EquipoProgramaController],
  providers: [EquipoProgramaService],
  exports: [EquipoProgramaService],
})
export class EquipoProgramaModule {}
