import { Controller, Get, Query } from '@nestjs/common';
import { InstitucionCarreraService } from './institucion-carrera.service';
import { IdInstitucionDto } from '../dto/id-institucion.dto';
import { ApiOperation, ApiQuery, ApiTags } from '@nestjs/swagger';

@Controller('institucion-carrera')
@ApiTags('institucion-carrera')
export class InstitucionCarreraController {
  constructor(private institucionCarreraService: InstitucionCarreraService) {}

  @Get()
  @ApiOperation({
    description: 'Endpoint que retorna todas las carreras de una institución.',
  })
  @ApiQuery({
    description: 'Id de la institución.',
    name: 'id_institucion',
    type: 'string',
  })
  get(@Query() query: IdInstitucionDto) {
    return this.institucionCarreraService.findAllByIdInstitucion(
      parseInt(query.id_institucion),
    );
  }
}
