import {
  IsBoolean,
  IsNumberString,
  IsOptional,
  IsString,
} from 'class-validator';

export class PrestamoActivosDto {
  @IsBoolean()
  activo = true;

  @IsNumberString()
  pagina: string;

  @IsNumberString()
  id_modulo: string;

  @IsString()
  @IsOptional()
  carrito?: string;

  @IsString()
  @IsOptional()
  equipo?: string;

  @IsNumberString()
  @IsOptional()
  id_prestamo?: string;

  @IsNumberString()
  @IsOptional()
  id_tipo_carrito?: string;

  @IsNumberString()
  @IsOptional()
  id_tipo_usuario?: string;

  @IsString()
  @IsOptional()
  usuario?: string;
}
