import { Body, Controller, Get, Post, Put, Query } from '@nestjs/common';
import { ApiTags } from '@nestjs/swagger';
import { PrestamoService } from './prestamo.service';
import { PrestamoPedirDto } from './dto/prestamo-pedir.dto';
import { PrestamoActivosDto } from './dto/prestamo-activos.dto';

@Controller('prestamo')
@ApiTags('prestamo')
export class PrestamoController {
  constructor(private prestamoService: PrestamoService) {}

  @Get('activos')
  activos(@Query() query: PrestamoActivosDto) {
    console.log(query);
    return this.prestamoService.findAll(query);
  }

  @Put('cancelar-operador')
  cancelarOperador() {}

  @Put('cancelar-usuario')
  cancelarUsuario() {}

  @Put('entregar')
  entregar() {}

  @Get('historial')
  historial() {}

  @Get('historial-equipo')
  historialEquipo() {}

  @Get('historial-usuario')
  historialUsuario() {}

  @Post()
  pedir(@Body() body: PrestamoPedirDto) {
    return this.prestamoService.create(
      body.id_usuario,
      body.id_modulo,
      body.id_tipo_carrito,
      body.id_programa,
      body.id_tipo_entrada,
    );
  }

  @Get('prestamo-id-prestamo')
  prestamoIdPrestamo() {}

  @Get('prestamo-id-usuario')
  prestamoIdUsuario() {}

  @Get('prestamo-numero-inventario')
  prestamoNumeroInventario() {}

  @Put('regresar')
  regresar() {}

  // @Get('reporte')
  // reporte() {}
}
